/**
 * section_shorts
 * @version	2.0
 * @release	17-01-2022
 * @author	msolowski Marcin Sołowski
 * @website	http://msolowski.pl
 */

.section_shorts.layout_column
{
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-template-columns: repeat(2, minmax(0, 1fr));
	--min_column_gap: 20;
	--max_column_gap: 60;
	column-gap:
		clamp(calc(var(--min_column_gap) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_column_gap) - var(--min_column_gap)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_column_gap)) * 1px)
		+ ((var(--max_column_gap) - var(--min_column_gap)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_column_gap) * 1px));
	--min_row_gap: 40;
	--max_row_gap: 60;
	row-gap:
		clamp(calc(var(--min_row_gap) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_row_gap) - var(--min_row_gap)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_row_gap)) * 1px)
		+ ((var(--max_row_gap) - var(--min_row_gap)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_row_gap) * 1px));
	--section_contener_max_width: var(--global_size_section);
	margin-left: auto;
	margin-right: auto;
	width: 100%;
	max-width: calc(100vw - (100vw - var(--section_contener_max_width)) + (var(--global_padding) * 2));
}

.section_shorts.layout_column.background_lead
{
	box-shadow: 0 0 0 100vmax var(--root_color_dark);
	clip-path: inset(0 -100vmax);
}

.section_shorts.layout_column.background_grey
{
	box-shadow: 0 0 0 100vmax var(--root_color_light_grey);
	clip-path: inset(0 -100vmax);
}

.section_shorts.layout_column .global_contener
{
	--max_column_gap: 30;
/*	--max_row_gap: 30; */
	margin-top: 0;
	grid-template-columns: repeat(2, 1fr);
}

.section_shorts.layout_column .short .content
{
	margin-top: var(--global_size_10);
}

.section_shorts.layout_column .short .link
{
	margin-top: var(--global_size_10);
}

/**********************************************************************************/

.section_shorts.layout_full_width
{
	padding-left: 0;
	padding-right: 0;
	padding-top: 0;
	padding-bottom: 0; 
}

.section_shorts.layout_full_width .section_contener.main
{
	max-width: none;
}

.section_shorts.layout_full_width .section_contener.main .global_contener
{
	gap: 3px;
}

/**********************************************************************************/ /* background_grey */

.section_shorts.background_grey.layout_padding .short
{
	background-color: var(--root_color_white);
}

/**********************************************************************************/ /* background_lead */

.section_shorts.background_lead
{
	--global_loader_background_image: url("data:image/svg+xml;charset=UTF-8,%3csvg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='100px' height='100px' viewBox='0 0 100 100' enable-background='new 0 0 100 100' xml:space='preserve'%3e%3ccircle cx='50' cy='50' r='40' stroke='%23ffffff' opacity='0' fill='none' stroke-width='1' stroke-linecap='round'%3e%3c/circle%3e%3ccircle cx='50' cy='50' r='40' stroke='%23FFFFFF' fill='none' stroke-width='8' stroke-linecap='round'%3e%3canimate attributeName='stroke-dashoffset' dur='2s' repeatCount='indefinite' from='0' to='-502'%3e%3c/animate%3e%3canimate attributeName='stroke-dasharray' dur='2s' repeatCount='indefinite' values='150.6 100.4;1 250;150.6 100.4'%3e%3c/animate%3e%3c/circle%3e%3c/svg%3e");
}

.section_shorts.background_lead .text > *
{
	color: var(--root_color_white);
}

.section_shorts.background_lead .text a
{
	color: var(--root_color_white);
}

.section_shorts.background_lead .text a:hover
{
	color: var(--root_color_lead);
}

.section_shorts.background_lead .short .contener > *
{
	color: var(--root_color_white);
}

.section_shorts.background_lead .global_button
{
	--global_button_color_h: var(--root_color_dark);
	--global_button_background_color_h: var(--root_color_white);
}

.section_shorts.background_lead .global_link
{
	color: var(--root_color_white);
}

.section_shorts.background_lead .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23ffffff' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_shorts.background_lead .global_link:hover
{
	color: var(--root_color_lead);
}

.section_shorts.background_lead .global_link:hover::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23a91f22' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_shorts.background_lead.layout_padding .short
{
	background-color: var(--root_color_white);
}

.section_shorts.background_lead.layout_padding .short .contener > *
{
	color: var(--root_color_dark);
}

.section_shorts.background_lead.layout_padding .short .global_button
{
	--global_button_color_h: var(--root_color_white);
	--global_button_background_color_h: var(--root_color_dark);
}

.section_shorts.background_lead.layout_padding .short .global_link
{
	color: var(--root_color_dark);
}

.section_shorts.background_lead.layout_padding .short .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%231b2129' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_shorts.background_lead.layout_padding .short .global_link:hover
{
	color: var(--root_color_lead);
}

.section_shorts.background_lead.layout_padding .short .global_link:hover::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23a91f22' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

/**********************************************************************************/ /* short */

.section_shorts .short
{
	transition: var(--global_transition);
	display: grid;
	grid-template-rows: auto 1fr;
	align-content: flex-start;
}

.section_shorts .short .new
{
	position: absolute;
	top: 0;
	right: 0;
	padding: var(--global_size_10) var(--global_size_25) var(--global_size_10) var(--global_size_25);
	background-color: #e7d6b1;
	color: var(--root_color_dark);
	z-index: 1;
}

.section_shorts .short .contener
{
	display: flex;
	flex-direction: column;
}

.section_shorts .short .contener .link
{
	padding-top: var(--global_size_30);
	margin-top: auto;
}

.section_shorts.layout_column .short .contener .link
{
	padding-top: var(--global_size_25);
}

.section_shorts .short img
{
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.section_shorts .short .heading
{
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.section_shorts .short .content
{
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
}

/**********************************************************************************/ /* layout_padding */

.section_shorts.layout_padding .short
{
	background-color: var(--root_color_light);
}

.section_shorts.layout_padding .short .contener
{
	padding-top: var(--global_size_30);
	padding-right: var(--global_size_30);
	padding-bottom: var(--global_size_30);
	padding-bottom: var(--global_size_40);
	padding-left: var(--global_size_30);
	margin-top: 0;
	position: relative;
	isolation: isolate;
}

.section_shorts.layout_padding.symbol .short .contener::after
{
/*	content: '';
	display: block;
	position: absolute;
	bottom: 0;
	right: var(--global_size_30);
	width: 60px;
	height: 63px;
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='60' height='63' viewBox='0 0 60 63' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cg opacity='0.05' clip-path='url(%23clip0_341_6660)'%3e%3cpath d='M60.0004 0.00583916L60 14.6206L29.9973 23.4149L0.00195312 14.619L0.00234458 0.00390625L29.9976 8.87867L60.0004 0.00583916Z' fill='%2314332A'/%3e%3cpath d='M59.9994 25.3301L59.999 39.8795L29.9963 48.6931L0.000976562 39.8775L0.00136801 25.3281L29.9967 34.1372L59.9994 25.3301Z' fill='%2314332A'/%3e%3cpath d='M59.9984 48.4316L59.998 63.0467L29.9953 71.8407L0 63.0448L0.000391451 48.4297L29.9957 57.3045L59.9984 48.4316Z' fill='%2314332A'/%3e%3c/g%3e%3cdefs%3e%3cclipPath id='clip0_341_6660'%3e%3crect width='60' height='63' fill='white'/%3e%3c/clipPath%3e%3c/defs%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: 0 100%;
	background-size: contain;
	z-index: -1; */
}

/**********************************************************************************/ /* effect_hover */

.section_shorts.effect_hover .short:hover
{
/*	box-shadow: 0 var(--global_size_10) var(--global_size_20) 0 rgba(0, 0, 0, 0.1);
	transform: translateY(calc(var(--global_size_10) * -1)); */
}

.section_shorts.effect_hover .short:hover img
{
/*	transform: scale(1.05, 1.05); */
}

.section_shorts.effect_hover .short:hover .global_link
{
	color: var(--root_color_lead);
}

.section_shorts.effect_hover .short:hover .global_link::after
{
	transform: translateX(5px);
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23a91f22' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_shorts.effect_hover.layout_padding .short:hover
{
	background-color: var(--root_color_lead);
}

.section_shorts.effect_hover.layout_padding .short:hover .contener > *
{
	color: var(--root_color_white);
}

.section_shorts.effect_hover.layout_padding .short .global_button
{
	--global_button_color_h: var(--root_color_dark);
	--global_button_background_color_h: var(--root_color_white);
}

.section_shorts.effect_hover.layout_padding .short:hover .global_link
{
	color: var(--root_color_white);
}

.section_shorts.effect_hover.layout_padding .short:hover .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23ffffff' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

/* .section_shorts.effect_hover.background_lead .short:hover .global_link
{
	color: var(--root_color_lead);
}

.section_shorts.effect_hover.background_lead .short:hover .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23a91f22' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
} */

.section_shorts.effect_hover .short:hover .global_button
{
	color: var(--global_button_color_h);
	background-color: var(--global_button_background_color_h);
}

/**********************************************************************************/ /* short_accordion */

.section_shorts .accordion_text .short_accordion
{
	padding-top: var(--global_size_20);
	padding-right: var(--global_size_20);
	padding-bottom: var(--global_size_20);
	padding-left: var(--global_size_20);
	transition: var(--global_transition);
}

.section_shorts .accordion_text .short_accordion:hover,
.section_shorts .accordion_text .short_accordion.is_active
{
	background-color: var(--root_color_light_grey);
	cursor: pointer;
}

.section_shorts .accordion_text .short_accordion .heading
{
	display: flex;
	align-items: flex-start;
}

.section_shorts .accordion_text .short_accordion .heading::before
{
	content: var(--iteration);
	display: block;
	color: #a1a5a4;
	margin-right: var(--global_size_15);
}

.section_shorts .accordion_text .short_accordion .short_accordion_box
{
	display: grid;
	grid-template-rows: 0fr;
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
	transition: var(--global_transition);
	display: none;
}

.section_shorts .accordion_text .short_accordion .image
{
	overflow: hidden;
}

.section_shorts.background_grey .accordion_text .short_accordion
{
	background-color: var(--root_color_white);
}

.section_shorts.background_grey .accordion_text .short_accordion:hover,
.section_shorts.background_grey .accordion_text .short_accordion.is_active
{
	background-color: var(--root_color_lead);
}

.section_shorts.background_grey .accordion_text .short_accordion:hover > *,
.section_shorts.background_grey .accordion_text .short_accordion.is_active > *
{
	color: var(--root_color_white);
}

.section_shorts.background_lead .accordion_text .short_accordion
{
	background-color: var(--root_color_white);
}

.section_shorts.background_lead .accordion_text .short_accordion:hover,
.section_shorts.background_lead .accordion_text .short_accordion.is_active
{
	background-color: var(--root_color_lead);
}

.section_shorts.background_lead .accordion_text .short_accordion:hover > *,
.section_shorts.background_lead .accordion_text .short_accordion.is_active > *
{
	color: var(--root_color_white);
}

/**********************************************************************************/ /* text_over_img */

.section_shorts.text_over_img .short .heading
{
	position: absolute;
	top: var(--global_size_60);
	left: 0;
	padding: var(--global_size_10) var(--global_size_50) var(--global_size_10) var(--global_size_50);
	background: var(--dark, #1B2129);
	color: var(--root_color_white);
	z-index: 1;
}

.section_shorts.text_over_img.effect_hover .short:hover .heading
{
	background: var(--root_color_lead);
}

/**********************************************************************************/

@media screen and (max-width: 1680px)
{
}

@media screen and (max-width: 1600px)
{
}

@media screen and (max-width: 1440px)
{
}

@media screen and (max-width: 1366px)
{
}

@media screen and (max-width: 1300px)
{
}

@media screen and (max-width: 1200px)
{
}

@media screen and (max-width: 1024px)
{
	.section_shorts.layout_column
	{
		grid-template-columns: 100%;
	}

	.section_shorts .accordion_text .short_accordion .short_accordion_box
	{
		display: grid;
	}

	.section_shorts .accordion_text .short_accordion.is_active .short_accordion_box
	{
		grid-template-rows: 1fr;
	}

	.section_shorts .accordion_images
	{
		display: none;
	}
}

@media screen and (max-width: 800px)
{
	.section_shorts.layout_column .global_contener
	{
		grid-template-columns: 100%;
	}
}

@media screen and (max-width: 640px)
{
}

@media screen and (max-width: 480px)
{
}

@media screen and (max-width: 360px)
{
}